# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "bunny"
  s.version = "1.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Chris Duncan", "Eric Lindvall", "Jakub Stastny aka botanicus", "Michael S. Klishin", "Stefan Kaes"]
  s.date = "2014-02-04"
  s.description = "Easy to use, feature complete Ruby client for RabbitMQ 2.0 and later versions."
  s.email = ["celldee@gmail.com", "eric@5stops.com", "stastny@101ideas.cz", "michael@novemberain.com", "skaes@railsexpress.de"]
  s.extra_rdoc_files = ["README.md"]
  s.files = [".gitignore", ".rspec", ".ruby-version", ".travis.yml", ".yardopts", "ChangeLog.md", "Gemfile", "LICENSE", "README.md", "benchmarks/basic_publish/with_128K_messages.rb", "benchmarks/basic_publish/with_1k_messages.rb", "benchmarks/basic_publish/with_4K_messages.rb", "benchmarks/basic_publish/with_64K_messages.rb", "benchmarks/channel_open.rb", "benchmarks/mutex_and_monitor.rb", "benchmarks/queue_declare.rb", "benchmarks/queue_declare_and_bind.rb", "benchmarks/queue_declare_bind_and_delete.rb", "benchmarks/synchronized_sorted_set.rb", "benchmarks/write_vs_write_nonblock.rb", "bin/ci/before_build.sh", "bunny.gemspec", "examples/connection/authentication_failure.rb", "examples/connection/automatic_recovery_with_basic_get.rb", "examples/connection/automatic_recovery_with_client_named_queues.rb", "examples/connection/automatic_recovery_with_multiple_consumers.rb", "examples/connection/automatic_recovery_with_republishing.rb", "examples/connection/automatic_recovery_with_server_named_queues.rb", "examples/connection/channel_level_exception.rb", "examples/connection/disabled_automatic_recovery.rb", "examples/connection/heartbeat.rb", "examples/connection/manually_reconnecting_consumer.rb", "examples/connection/manually_reconnecting_publisher.rb", "examples/connection/unknown_host.rb", "examples/guides/exchanges/direct_exchange_routing.rb", "examples/guides/exchanges/fanout_exchange_routing.rb", "examples/guides/exchanges/headers_exchange_routing.rb", "examples/guides/exchanges/mandatory_messages.rb", "examples/guides/extensions/alternate_exchange.rb", "examples/guides/extensions/basic_nack.rb", "examples/guides/extensions/connection_blocked.rb", "examples/guides/extensions/consumer_cancellation_notification.rb", "examples/guides/extensions/dead_letter_exchange.rb", "examples/guides/extensions/exchange_to_exchange_bindings.rb", "examples/guides/extensions/per_message_ttl.rb", "examples/guides/extensions/per_queue_message_ttl.rb", "examples/guides/extensions/publisher_confirms.rb", "examples/guides/extensions/queue_lease.rb", "examples/guides/extensions/sender_selected_distribution.rb", "examples/guides/getting_started/blabbr.rb", "examples/guides/getting_started/hello_world.rb", "examples/guides/getting_started/weathr.rb", "examples/guides/queues/one_off_consumer.rb", "examples/guides/queues/redeliveries.rb", "lib/amq/protocol/extensions.rb", "lib/bunny.rb", "lib/bunny/authentication/credentials_encoder.rb", "lib/bunny/authentication/external_mechanism_encoder.rb", "lib/bunny/authentication/plain_mechanism_encoder.rb", "lib/bunny/channel.rb", "lib/bunny/channel_id_allocator.rb", "lib/bunny/compatibility.rb", "lib/bunny/concurrent/atomic_fixnum.rb", "lib/bunny/concurrent/condition.rb", "lib/bunny/concurrent/continuation_queue.rb", "lib/bunny/concurrent/linked_continuation_queue.rb", "lib/bunny/concurrent/synchronized_sorted_set.rb", "lib/bunny/consumer.rb", "lib/bunny/consumer_tag_generator.rb", "lib/bunny/consumer_work_pool.rb", "lib/bunny/cruby/socket.rb", "lib/bunny/cruby/ssl_socket.rb", "lib/bunny/delivery_info.rb", "lib/bunny/exceptions.rb", "lib/bunny/exchange.rb", "lib/bunny/framing.rb", "lib/bunny/heartbeat_sender.rb", "lib/bunny/jruby/socket.rb", "lib/bunny/jruby/ssl_socket.rb", "lib/bunny/message_properties.rb", "lib/bunny/queue.rb", "lib/bunny/reader_loop.rb", "lib/bunny/return_info.rb", "lib/bunny/session.rb", "lib/bunny/socket.rb", "lib/bunny/ssl_socket.rb", "lib/bunny/system_timer.rb", "lib/bunny/test_kit.rb", "lib/bunny/timeout.rb", "lib/bunny/transport.rb", "lib/bunny/version.rb", "lib/bunny/versioned_delivery_tag.rb", "profiling/basic_publish/with_4K_messages.rb", "repl", "spec/compatibility/queue_declare_spec.rb", "spec/compatibility/queue_declare_with_default_channel_spec.rb", "spec/higher_level_api/integration/basic_ack_spec.rb", "spec/higher_level_api/integration/basic_cancel_spec.rb", "spec/higher_level_api/integration/basic_consume_spec.rb", "spec/higher_level_api/integration/basic_consume_with_objects_spec.rb", "spec/higher_level_api/integration/basic_get_spec.rb", "spec/higher_level_api/integration/basic_nack_spec.rb", "spec/higher_level_api/integration/basic_publish_spec.rb", "spec/higher_level_api/integration/basic_qos_spec.rb", "spec/higher_level_api/integration/basic_recover_spec.rb", "spec/higher_level_api/integration/basic_reject_spec.rb", "spec/higher_level_api/integration/basic_return_spec.rb", "spec/higher_level_api/integration/channel_close_spec.rb", "spec/higher_level_api/integration/channel_flow_spec.rb", "spec/higher_level_api/integration/channel_open_spec.rb", "spec/higher_level_api/integration/confirm_select_spec.rb", "spec/higher_level_api/integration/connection_spec.rb", "spec/higher_level_api/integration/connection_stop_spec.rb", "spec/higher_level_api/integration/consistent_hash_exchange_spec.rb", "spec/higher_level_api/integration/consumer_cancellation_notification_spec.rb", "spec/higher_level_api/integration/dead_lettering_spec.rb", "spec/higher_level_api/integration/exchange_bind_spec.rb", "spec/higher_level_api/integration/exchange_declare_spec.rb", "spec/higher_level_api/integration/exchange_delete_spec.rb", "spec/higher_level_api/integration/exchange_unbind_spec.rb", "spec/higher_level_api/integration/exclusive_queue_spec.rb", "spec/higher_level_api/integration/heartbeat_spec.rb", "spec/higher_level_api/integration/merry_go_round_spec.rb", "spec/higher_level_api/integration/message_properties_access_spec.rb", "spec/higher_level_api/integration/predeclared_exchanges_spec.rb", "spec/higher_level_api/integration/publisher_confirms_spec.rb", "spec/higher_level_api/integration/publishing_edge_cases_spec.rb", "spec/higher_level_api/integration/queue_bind_spec.rb", "spec/higher_level_api/integration/queue_declare_spec.rb", "spec/higher_level_api/integration/queue_delete_spec.rb", "spec/higher_level_api/integration/queue_purge_spec.rb", "spec/higher_level_api/integration/queue_unbind_spec.rb", "spec/higher_level_api/integration/read_only_consumer_spec.rb", "spec/higher_level_api/integration/sender_selected_distribution_spec.rb", "spec/higher_level_api/integration/tls_connection_spec.rb", "spec/higher_level_api/integration/tx_commit_spec.rb", "spec/higher_level_api/integration/tx_rollback_spec.rb", "spec/higher_level_api/integration/with_channel_spec.rb", "spec/issues/issue100_spec.rb", "spec/issues/issue141_spec.rb", "spec/issues/issue78_spec.rb", "spec/issues/issue83_spec.rb", "spec/issues/issue97_attachment.json", "spec/issues/issue97_spec.rb", "spec/lower_level_api/integration/basic_cancel_spec.rb", "spec/lower_level_api/integration/basic_consume_spec.rb", "spec/spec_helper.rb", "spec/stress/channel_open_stress_spec.rb", "spec/stress/channel_open_stress_with_single_threaded_connection_spec.rb", "spec/stress/concurrent_consumers_stress_spec.rb", "spec/stress/concurrent_publishers_stress_spec.rb", "spec/stress/connection_open_close_spec.rb", "spec/stress/long_running_consumer_spec.rb", "spec/tls/cacert.pem", "spec/tls/client_cert.pem", "spec/tls/client_key.pem", "spec/tls/server_cert.pem", "spec/tls/server_key.pem", "spec/unit/bunny_spec.rb", "spec/unit/concurrent/atomic_fixnum_spec.rb", "spec/unit/concurrent/condition_spec.rb", "spec/unit/concurrent/linked_continuation_queue_spec.rb", "spec/unit/concurrent/synchronized_sorted_set_spec.rb", "spec/unit/system_timer_spec.rb", "spec/unit/version_delivery_tag_spec.rb"]
  s.homepage = "http://rubybunny.info"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Popular easy to use Ruby client for RabbitMQ"
  s.test_files = ["spec/compatibility/queue_declare_spec.rb", "spec/compatibility/queue_declare_with_default_channel_spec.rb", "spec/higher_level_api/integration/basic_ack_spec.rb", "spec/higher_level_api/integration/basic_cancel_spec.rb", "spec/higher_level_api/integration/basic_consume_spec.rb", "spec/higher_level_api/integration/basic_consume_with_objects_spec.rb", "spec/higher_level_api/integration/basic_get_spec.rb", "spec/higher_level_api/integration/basic_nack_spec.rb", "spec/higher_level_api/integration/basic_publish_spec.rb", "spec/higher_level_api/integration/basic_qos_spec.rb", "spec/higher_level_api/integration/basic_recover_spec.rb", "spec/higher_level_api/integration/basic_reject_spec.rb", "spec/higher_level_api/integration/basic_return_spec.rb", "spec/higher_level_api/integration/channel_close_spec.rb", "spec/higher_level_api/integration/channel_flow_spec.rb", "spec/higher_level_api/integration/channel_open_spec.rb", "spec/higher_level_api/integration/confirm_select_spec.rb", "spec/higher_level_api/integration/connection_spec.rb", "spec/higher_level_api/integration/connection_stop_spec.rb", "spec/higher_level_api/integration/consistent_hash_exchange_spec.rb", "spec/higher_level_api/integration/consumer_cancellation_notification_spec.rb", "spec/higher_level_api/integration/dead_lettering_spec.rb", "spec/higher_level_api/integration/exchange_bind_spec.rb", "spec/higher_level_api/integration/exchange_declare_spec.rb", "spec/higher_level_api/integration/exchange_delete_spec.rb", "spec/higher_level_api/integration/exchange_unbind_spec.rb", "spec/higher_level_api/integration/exclusive_queue_spec.rb", "spec/higher_level_api/integration/heartbeat_spec.rb", "spec/higher_level_api/integration/merry_go_round_spec.rb", "spec/higher_level_api/integration/message_properties_access_spec.rb", "spec/higher_level_api/integration/predeclared_exchanges_spec.rb", "spec/higher_level_api/integration/publisher_confirms_spec.rb", "spec/higher_level_api/integration/publishing_edge_cases_spec.rb", "spec/higher_level_api/integration/queue_bind_spec.rb", "spec/higher_level_api/integration/queue_declare_spec.rb", "spec/higher_level_api/integration/queue_delete_spec.rb", "spec/higher_level_api/integration/queue_purge_spec.rb", "spec/higher_level_api/integration/queue_unbind_spec.rb", "spec/higher_level_api/integration/read_only_consumer_spec.rb", "spec/higher_level_api/integration/sender_selected_distribution_spec.rb", "spec/higher_level_api/integration/tls_connection_spec.rb", "spec/higher_level_api/integration/tx_commit_spec.rb", "spec/higher_level_api/integration/tx_rollback_spec.rb", "spec/higher_level_api/integration/with_channel_spec.rb", "spec/issues/issue100_spec.rb", "spec/issues/issue141_spec.rb", "spec/issues/issue78_spec.rb", "spec/issues/issue83_spec.rb", "spec/issues/issue97_attachment.json", "spec/issues/issue97_spec.rb", "spec/lower_level_api/integration/basic_cancel_spec.rb", "spec/lower_level_api/integration/basic_consume_spec.rb", "spec/spec_helper.rb", "spec/stress/channel_open_stress_spec.rb", "spec/stress/channel_open_stress_with_single_threaded_connection_spec.rb", "spec/stress/concurrent_consumers_stress_spec.rb", "spec/stress/concurrent_publishers_stress_spec.rb", "spec/stress/connection_open_close_spec.rb", "spec/stress/long_running_consumer_spec.rb", "spec/tls/cacert.pem", "spec/tls/client_cert.pem", "spec/tls/client_key.pem", "spec/tls/server_cert.pem", "spec/tls/server_key.pem", "spec/unit/bunny_spec.rb", "spec/unit/concurrent/atomic_fixnum_spec.rb", "spec/unit/concurrent/condition_spec.rb", "spec/unit/concurrent/linked_continuation_queue_spec.rb", "spec/unit/concurrent/synchronized_sorted_set_spec.rb", "spec/unit/system_timer_spec.rb", "spec/unit/version_delivery_tag_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<amq-protocol>, [">= 1.9.2"])
    else
      s.add_dependency(%q<amq-protocol>, [">= 1.9.2"])
    end
  else
    s.add_dependency(%q<amq-protocol>, [">= 1.9.2"])
  end
end
